<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableSerializeNum extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('serialize_num', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('serialize',8)->comment('序列号')->unique();
            $table->integer('meta_id')->default(0)->comment('元数据ID');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('table_serialize_num');
    }
}
